#include "testApp.h"
#include "util_pipeline.h"
//--------------------------------------------------------------
int enterX;
int enterY;
void testApp::setup(){
	enterX=150;
	enterY=150;
	
	ofSetWindowShape(640,480);
	ofSetLogLevel(OF_LOG_NOTICE);

	// create a list of our commands we want recognized
	vector<wstring> commands;
	commands.push_back(L"up");
	commands.push_back(L"down");
	commands.push_back(L"right");
	commands.push_back(L"left");

	// start the PCSDK voice recognition
	pipeline = new VoiceReco();
	pipeline->SetOFApp(this);  // this will allow us to call 
	pipeline->EnableVoiceRecognition();

	pipeline->SetVoiceCommands(commands);
    
	pipeline->Init();
}

//--------------------------------------------------------------
void testApp::update(){
	// still need this for grabbing audio and letting the SDK fire off OnRecognized events
	if(pipeline->AcquireFrame(false))
	{
		pipeline->ReleaseFrame();
	}
}

//--------------------------------------------------------------
void testApp::draw(){
	ofCircle(enterX,enterY,25);
}

void testApp::OnVoiceRecognized(PXCVoiceRecognition::Recognition *data)
{
	wcout<<data->dictation<<endl;
	if (data->label==0) {
		enterY=enterY-10;
		if (enterY<0) enterY=ofGetWindowHeight()-25;
	}
	if (data->label==1) {
		enterY=enterY+10;
		if (enterY>ofGetWindowHeight()) enterY=25;
	}
	if (data->label==2) {
		enterX=enterX+10;
		if (enterX>ofGetWindowWidth()) enterX=25;
	}
	if (data->label==3) {
		enterX=enterX-10;
		if (enterX<0) enterX=ofGetWindowWidth()-25;
	}
}
void testApp::exit(){
	pipeline->Close();
}